## sctk 2.4.10-20151007-1312Z%2Bdfsg2

=== debian/changelog ===
sctk (2.4.10-20151007-1312Z+dfsg2-3) unstable; urgency=medium

  * Fix an error in replacement files Makefile.
    Images were generated with a leading new line in file name.
  * Add 1019_fix_echo_usage.patch and 1020_fix_spelling_errors.patch.
  * Forward upstream 1015_fix_images_scale_in_documentation.patch,
    1017_provide_uniform_help.patch,
    1018_add_italian_support_to_hubscr.patch.
    and 2001_use_replacement_images_in_documentation.patch.
  * Bump Standard-Versions to 3.9.8.
    No changes needed.
  * Add quotes in PATH definition in sctk wrapper script.

 -- Giulio Paci <giuliopaci@gmail.com>  Wed, 27 Apr 2016 18:36:13 +0200

sctk (2.4.10-20151007-1312Z+dfsg2-2) unstable; urgency=medium

  * Add 1018_add_italian_support_to_hubscr.patch.

 -- Giulio Paci <giuliopaci@gmail.com>  Tue, 15 Mar 2016 17:27:59 +0100

sctk (2.4.10-20151007-1312Z+dfsg2-1) experimental; urgency=low
	
  * Initial release.
    Closes: #666724.

 -- Giulio Paci <giuliopaci@gmail.com>  Mon, 22 Feb 2016 00:27:16 +0100

## sctk 2.4.12+dfsg

=== doc/images_src/Makefile ===

TEX_SOURCES=equation.tex
OUTPUT:=$(TEX_SOURCES:.tex=.jpg) det.png bhist.png hist.png  grange.spk.png grange.sys.png grange2.spk.png grange2.sys.png rover-sample.png
SCLITE_TO_CLEAN:=lvc\\_hypc.ctm.bhist.plt lvc\\_hypc.ctm.det.plt lvc\\_hypc.ctm.hist.plt \
		 lvc\\_hypc.ctm.bhist.dat1 lvc\\_hypc.ctm.det.dat.00 lvc\\_hypc.ctm.hist.dat \
		 det.tmp.plt bhist.tmp.plt hist.tmp.plt \
		                              \
		 faketest.grange2.spk.dat     \
		 faketest.grange2.spk.mean    \
		 faketest.grange2.spk.median  \
		 faketest.grange2.spk.plt     \
		 faketest.grange2.spk.tmp.plt \
		 faketest.grange2.sys.dat     \
		 faketest.grange2.sys.mean    \
		 faketest.grange2.sys.median  \
		 faketest.grange2.sys.plt     \
		 faketest.grange2.sys.tmp.plt \
		 faketest.grange.spk.dat      \
		 faketest.grange.spk.mean     \
		 faketest.grange.spk.median   \
		 faketest.grange.spk.plt      \
		 faketest.grange.spk.tmp.plt  \
		 faketest.grange.sys.dat      \
		 faketest.grange.sys.mean     \
		 faketest.grange.sys.median   \
		 faketest.grange.sys.plt      \
		 faketest.grange.sys.tmp.plt  \
		 sys1.sgml		      \
		 sys2.sgml		      \
		 sys3.sgml

TO_CLEAN:=$(TEX_SOURCES:.tex=.aux) $(TEX_SOURCES:.tex=.log) $(TEX_SOURCES:.tex=.pdf) $(SCLITE_TO_CLEAN)

all: $(OUTPUT)

install: $(OUTPUT)
	cp $(OUTPUT) ..

%.jpg: %.pdf
	convert -density 300 -seed 0 -strip $< $@

%.png: %.svg
	convert -seed 0 -strip "$<" "$@"

%.pdf: %.tex
	pdflatex $<

SCLITE:=../../bin/sclite
SCSTATS:=../../bin/sc_stats
LVCPATH:=../../src/sclite/testdata

grange.spk.png grange.sys.png grange2.spk.png grange2.sys.png: ref.stm sys1.ctm sys2.ctm sys3.ctm
	$(SCLITE) -r ref.stm stm -h sys1.ctm ctm -n sys1 -o sgml
	$(SCLITE) -r ref.stm stm -h sys2.ctm ctm -n sys2 -o sgml
	$(SCLITE) -r ref.stm stm -h sys3.ctm ctm -n sys3 -o sgml
	cat sys1.sgml sys2.sgml sys3.sgml | $(SCSTATS) -p -g grange -n faketest
	cat sys1.sgml sys2.sgml sys3.sgml | $(SCSTATS) -p -g grange2 -n faketest
	echo "set term pngcairo" > faketest.grange.spk.tmp.plt
	echo "set output \"grange.spk.png\"" >> faketest.grange.spk.tmp.plt
	gnuplot faketest.grange.spk.tmp.plt faketest.grange.spk.plt
	echo "set term pngcairo" > faketest.grange.sys.tmp.plt
	echo "set output \"grange.sys.png\"" >> faketest.grange.sys.tmp.plt
	gnuplot faketest.grange.sys.tmp.plt faketest.grange.sys.plt
	echo "set term pngcairo" > faketest.grange2.spk.tmp.plt
	echo "set output \"grange2.spk.png\"" >> faketest.grange2.spk.tmp.plt
	gnuplot faketest.grange2.spk.tmp.plt faketest.grange2.spk.plt
	echo "set term pngcairo" > faketest.grange2.sys.tmp.plt
	echo "set output \"grange2.sys.png\"" >> faketest.grange2.sys.tmp.plt
	gnuplot faketest.grange2.sys.tmp.plt faketest.grange2.sys.plt

%.png:
	$(SCLITE) -r $(LVCPATH)/lvc_refe.stm stm -h $(LVCPATH)/lvc_hypc.ctm ctm -C $(*) -n "lvc\\_hypc.ctm" -O .
	echo "set term pngcairo" > $(*).tmp.plt
	echo "set output \"$(*).png\"" >> $(*).tmp.plt
	gnuplot $(*).tmp.plt "lvc\\_hypc.ctm".$(*).plt

clean:
	$(RM) $(TO_CLEAN) $(OUTPUT)

.PHONY: clean
.DELETE_ON_ERROR:

## sctk 2.4.10-20151007-1312Z+dfsg2

=== debian/changelog ===
sctk (2.4.10-20151007-1312Z+dfsg2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch by Michael Hudson-Doyle to use pdftoppm instead
    of convert to convert pdf to jpg as the latter fails with the
    changed security policy of ImageMagick. (Closes: #962439)

 -- Adrian Bunk <bunk@debian.org>  Tue, 03 Aug 2021 09:44:24 +0300

=== debian/control ===
Source: sctk
Section: science
Priority: optional
Maintainer: Giulio Paci <giuliopaci@gmail.com>
Build-Depends: cdbs,
 devscripts,
 debhelper (>= 9~),
 dh-buildinfo,
 dpkg-dev (>= 1.16.1~),
 librsvg2-bin,
 poppler-utils,
 texlive-latex-base,
 texlive-latex-extra,
 imagemagick,
 ghostscript,
 gnuplot
Standards-Version: 3.9.8
Homepage: http://www.nist.gov/itl/iad/mig/tools.cfm

Package: sctk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libsgmls-perl
Description: speech recognition scoring toolkit
 This software can be used to test quality performance of
 speech recognition software.
 .
 It includes the SCLITE, ASCLITE, tranfilt, hubscr and utf_filt
 scoring tools.

Package: sctk-doc
Architecture: all
Section: doc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: speech recognition scoring toolkit (documentation)
 This software can be used to test quality performance of
 speech recognition software.
 .
 It includes the SCLITE, ASCLITE, tranfilt, hubscr and utf_filt
 scoring tools.
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
include /usr/share/dpkg/buildflags.mk

DEB_MAKE_CLEAN_TARGET := distclean
DEB_CLEAN_EXCLUDE := src/md-eval/test/md_test25.output.orig
DEB_TAR_SRCDIR := .
DEB_SRCDIR := .
CFLAGS:=$(CFLAGS)
CXXFLAGS:=$(CXXFLAGS) -std=c++0x
DEB_INSTALL_DOCS_ALL :=

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_COPYRIGHT_CHECK_IGNORE_REGEX := ^debian/(changelog|copyright(|_hints|_newhints))$$|^doc/.*[.](pdf|jpg|eps|gif|png)$$|^test/.*[.](1|lfcc|lin)$$

pre-build::
	+$(DEB_MAKE_INVOKE) config

common-install-impl::
	+$(DEB_MAKE_INVOKE) install
	+$(DEB_MAKE_INVOKE) -C debian/replacement_files
	cp debian/replacement_files/equation.jpg \
	   debian/replacement_files/*.png  \
	   doc

clean::
	$(RM) doc/*.png doc/equation.jpg
	+$(DEB_MAKE_INVOKE)-C debian/replacement_files clean

get-orig-source:
	uscan --no-conf --repack --compress=xz --download-current-version --destdir $(CURDIR)/ --check-dirname-level 0 --force-download $(CURDIR)

# Needed by upstream build process
CDBS_BUILD_DEPENDS += , dpkg-dev (>= 1.16.1~), librsvg2-bin, texlive-latex-base, texlive-latex-extra, imagemagick, ghostscript, gnuplot

## sctk 2.4.12%2Bdfsg

=== debian/changelog ===
sctk (2.4.12+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable tests on i386 (Closes: #1102674)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 27 Aug 2025 20:51:13 +0200

sctk (2.4.12+dfsg-1) unstable; urgency=medium

  * Team upload of Debian team

  [ Giulio Paci ]
  * Convert rules from CDBS to dh
  * Add source lintian-overrides file
  * Add 0001_fix_output_sorting.patch, 0002_comment_broken_tests.patch,
    0002_fix_sclite_tests.patch,
    0003_fix_tests_after_spelling_fixes.patch, 0004_fix_assignment.patch,
    0005_fix_output_sorting.patch, 0006_fix_output_sorting.patch,
    1021_fix_spelling_errors.patch, 1022_fix_perl_interpreter_path.patch
  * Drop compat file
  * Install commands in /usr/libexec instead of /usr/lib.
  * Bump Standard-Versions to 4.5.1.
    - Support nodoc DEB_BUILD_OPTIONS tag
    - Use #!/usr/bin/perl shebang for perl scripts
    - Drop get-orig-source target
  * d/copyright: use secure URLs
  * d/copyright: fix a pattern
  * d/control: use secure Homepage URL
  * d/control: add Vcs-* fields
  * d/control: update Build-Depends
  * d/control: set Multi-Arch: foreign for sctk-doc
  * d/watch: use secure URL
  * d/watch: convert format to version 4

  [ Michael Hudson-Doyle ]
  * Use pdftoppm instead of convert to convert pdf to jpg
    Closes: #962439
  * d/control: add poppler-utils to Build-Depends

  [ Andreas Tille ]
  * New upstream version
    Closes: #1066360, #1045754
  * d/watch: Point to Github
  * Standards-Version: 4.7.0 (routine-update)
  * cme fix dpkg-control
  * Do not Build-Depends: dh-buildinfo, dpkg-dev
    Closes: #1088391
  * Update lintian override info format in d/source/lintian-overrides on line 2
  * d/copyright: Strip Files-Excluded to the really needed files
  * Build-Depends: gnuplot-nox | gnuplot

 -- Andreas Tille <tille@debian.org>  Wed, 27 Nov 2024 21:28:10 +0100

## sctk 2.4.12+dfsg

=== debian/control ===
Source: sctk
Maintainer: Giulio Paci <giuliopaci@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper,
               debhelper-compat(= 13),
               librsvg2-bin,
               texlive-latex-base,
               texlive-latex-extra,
               poppler-utils,
               imagemagick,
               ghostscript,
               gnuplot-nox | gnuplot
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/sctk
Vcs-Git: https://salsa.debian.org/debian/sctk.git
Homepage: https://www.nist.gov/itl/iad/mig/tools.cfm
Rules-Requires-Root: binary-targets

Package: sctk
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: libsgmls-perl
Description: speech recognition scoring toolkit
 This software can be used to test quality performance of
 speech recognition software.
 .
 It includes the SCLITE, ASCLITE, tranfilt, hubscr and utf_filt
 scoring tools.

Package: sctk-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: speech recognition scoring toolkit (documentation)
 This software can be used to test quality performance of
 speech recognition software.
 .
 It includes the SCLITE, ASCLITE, tranfilt, hubscr and utf_filt
 scoring tools.
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
include /usr/share/dpkg/buildflags.mk

export DH_VERBOSE = 1

CFLAGS:=$(CFLAGS)
CXXFLAGS:=$(CXXFLAGS) -std=c++0x

%:
	dh $@

override_dh_auto_configure:
	+$(MAKE) config

override_dh_install-indep:
ifeq "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ""
	+$(MAKE) -C debian/replacement_files
	cp debian/replacement_files/equation.jpg \
	   debian/replacement_files/*.png        \
	   doc
	dh_install
endif

override_dh_clean:
	dh_clean -Xsrc/md-eval/test/md_test25.output.orig

execute_after_dh_clean:
	$(RM) doc/*.png doc/equation.jpg
	$(RM) src/stmValidator/test_suite/test02.log.saved
	+$(MAKE) -C debian/replacement_files clean
